/**
 * \file IfxEmem_bf.h
 * \brief
 * \copyright Copyright (c) 2012 Infineon Technologies AG. All rights reserved.
 *
 *
 * $Revision: 1585 $
 * $Date: 2013-09-03 13:30:24 +0200 (Di, 03 Sep 2013) $
 *
 *                                 IMPORTANT NOTICE
 *
 *
 * Infineon Technologies AG (Infineon) is supplying this file for use
 * exclusively with Infineon's microcontroller products. This file can be freely
 * distributed within development tools that are supporting such microcontroller
 * products.
 *
 * THIS SOFTWARE IS PROVIDED "AS IS".  NO WARRANTIES, WHETHER EXPRESS, IMPLIED
 * OR STATUTORY, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE APPLY TO THIS SOFTWARE.
 * INFINEON SHALL NOT, IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL,
 * OR CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *
 * \defgroup IfxLld_Emem_BitfieldsMask Bitfields mask and offset
 * \ingroup IfxLld_Emem
 * 
 */
#ifndef IFXEMEM_BF_H
#define IFXEMEM_BF_H
/******************************************************************************/
/******************************************************************************/
/** \addtogroup IfxLld_Emem_BitfieldsMask
 * \{  */

/** \\brief  Length for Ifx_EMEM_CLC_Bits.DISR */
#define IFX_EMEM_CLC_DISR_LEN (1)

/** \\brief  Mask for Ifx_EMEM_CLC_Bits.DISR */
#define IFX_EMEM_CLC_DISR_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_CLC_Bits.DISR */
#define IFX_EMEM_CLC_DISR_OFF (0)

/** \\brief  Length for Ifx_EMEM_CLC_Bits.DISS */
#define IFX_EMEM_CLC_DISS_LEN (1)

/** \\brief  Mask for Ifx_EMEM_CLC_Bits.DISS */
#define IFX_EMEM_CLC_DISS_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_CLC_Bits.DISS */
#define IFX_EMEM_CLC_DISS_OFF (1)

/** \\brief  Length for Ifx_EMEM_ID_Bits.MOD_REV */
#define IFX_EMEM_ID_MOD_REV_LEN (8)

/** \\brief  Mask for Ifx_EMEM_ID_Bits.MOD_REV */
#define IFX_EMEM_ID_MOD_REV_MSK (0xff)

/** \\brief  Offset for Ifx_EMEM_ID_Bits.MOD_REV */
#define IFX_EMEM_ID_MOD_REV_OFF (0)

/** \\brief  Length for Ifx_EMEM_ID_Bits.MOD_TYPE */
#define IFX_EMEM_ID_MOD_TYPE_LEN (8)

/** \\brief  Mask for Ifx_EMEM_ID_Bits.MOD_TYPE */
#define IFX_EMEM_ID_MOD_TYPE_MSK (0xff)

/** \\brief  Offset for Ifx_EMEM_ID_Bits.MOD_TYPE */
#define IFX_EMEM_ID_MOD_TYPE_OFF (8)

/** \\brief  Length for Ifx_EMEM_ID_Bits.MODNUMBER */
#define IFX_EMEM_ID_MODNUMBER_LEN (16)

/** \\brief  Mask for Ifx_EMEM_ID_Bits.MODNUMBER */
#define IFX_EMEM_ID_MODNUMBER_MSK (0xffff)

/** \\brief  Offset for Ifx_EMEM_ID_Bits.MODNUMBER */
#define IFX_EMEM_ID_MODNUMBER_OFF (16)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGEN */
#define IFX_EMEM_SBRCTR_ACGEN_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGEN */
#define IFX_EMEM_SBRCTR_ACGEN_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGEN */
#define IFX_EMEM_SBRCTR_ACGEN_OFF (12)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST0 */
#define IFX_EMEM_SBRCTR_ACGST0_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST0 */
#define IFX_EMEM_SBRCTR_ACGST0_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST0 */
#define IFX_EMEM_SBRCTR_ACGST0_OFF (16)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST10 */
#define IFX_EMEM_SBRCTR_ACGST10_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST10 */
#define IFX_EMEM_SBRCTR_ACGST10_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST10 */
#define IFX_EMEM_SBRCTR_ACGST10_OFF (26)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST11 */
#define IFX_EMEM_SBRCTR_ACGST11_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST11 */
#define IFX_EMEM_SBRCTR_ACGST11_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST11 */
#define IFX_EMEM_SBRCTR_ACGST11_OFF (27)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST12 */
#define IFX_EMEM_SBRCTR_ACGST12_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST12 */
#define IFX_EMEM_SBRCTR_ACGST12_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST12 */
#define IFX_EMEM_SBRCTR_ACGST12_OFF (28)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST13 */
#define IFX_EMEM_SBRCTR_ACGST13_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST13 */
#define IFX_EMEM_SBRCTR_ACGST13_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST13 */
#define IFX_EMEM_SBRCTR_ACGST13_OFF (29)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST14 */
#define IFX_EMEM_SBRCTR_ACGST14_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST14 */
#define IFX_EMEM_SBRCTR_ACGST14_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST14 */
#define IFX_EMEM_SBRCTR_ACGST14_OFF (30)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST15 */
#define IFX_EMEM_SBRCTR_ACGST15_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST15 */
#define IFX_EMEM_SBRCTR_ACGST15_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST15 */
#define IFX_EMEM_SBRCTR_ACGST15_OFF (31)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST1 */
#define IFX_EMEM_SBRCTR_ACGST1_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST1 */
#define IFX_EMEM_SBRCTR_ACGST1_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST1 */
#define IFX_EMEM_SBRCTR_ACGST1_OFF (17)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST2 */
#define IFX_EMEM_SBRCTR_ACGST2_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST2 */
#define IFX_EMEM_SBRCTR_ACGST2_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST2 */
#define IFX_EMEM_SBRCTR_ACGST2_OFF (18)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST3 */
#define IFX_EMEM_SBRCTR_ACGST3_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST3 */
#define IFX_EMEM_SBRCTR_ACGST3_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST3 */
#define IFX_EMEM_SBRCTR_ACGST3_OFF (19)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST4 */
#define IFX_EMEM_SBRCTR_ACGST4_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST4 */
#define IFX_EMEM_SBRCTR_ACGST4_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST4 */
#define IFX_EMEM_SBRCTR_ACGST4_OFF (20)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST5 */
#define IFX_EMEM_SBRCTR_ACGST5_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST5 */
#define IFX_EMEM_SBRCTR_ACGST5_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST5 */
#define IFX_EMEM_SBRCTR_ACGST5_OFF (21)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST6 */
#define IFX_EMEM_SBRCTR_ACGST6_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST6 */
#define IFX_EMEM_SBRCTR_ACGST6_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST6 */
#define IFX_EMEM_SBRCTR_ACGST6_OFF (22)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST7 */
#define IFX_EMEM_SBRCTR_ACGST7_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST7 */
#define IFX_EMEM_SBRCTR_ACGST7_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST7 */
#define IFX_EMEM_SBRCTR_ACGST7_OFF (23)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST8 */
#define IFX_EMEM_SBRCTR_ACGST8_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST8 */
#define IFX_EMEM_SBRCTR_ACGST8_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST8 */
#define IFX_EMEM_SBRCTR_ACGST8_OFF (24)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGST9 */
#define IFX_EMEM_SBRCTR_ACGST9_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGST9 */
#define IFX_EMEM_SBRCTR_ACGST9_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGST9 */
#define IFX_EMEM_SBRCTR_ACGST9_OFF (25)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.ACGSXAM0 */
#define IFX_EMEM_SBRCTR_ACGSXAM0_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.ACGSXAM0 */
#define IFX_EMEM_SBRCTR_ACGSXAM0_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.ACGSXAM0 */
#define IFX_EMEM_SBRCTR_ACGSXAM0_OFF (8)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.STBLOCK */
#define IFX_EMEM_SBRCTR_STBLOCK_LEN (1)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.STBLOCK */
#define IFX_EMEM_SBRCTR_STBLOCK_MSK (0x1)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.STBLOCK */
#define IFX_EMEM_SBRCTR_STBLOCK_OFF (0)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.STBSLK */
#define IFX_EMEM_SBRCTR_STBSLK_LEN (4)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.STBSLK */
#define IFX_EMEM_SBRCTR_STBSLK_MSK (0xf)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.STBSLK */
#define IFX_EMEM_SBRCTR_STBSLK_OFF (4)

/** \\brief  Length for Ifx_EMEM_SBRCTR_Bits.STBULK */
#define IFX_EMEM_SBRCTR_STBULK_LEN (3)

/** \\brief  Mask for Ifx_EMEM_SBRCTR_Bits.STBULK */
#define IFX_EMEM_SBRCTR_STBULK_MSK (0x7)

/** \\brief  Offset for Ifx_EMEM_SBRCTR_Bits.STBULK */
#define IFX_EMEM_SBRCTR_STBULK_OFF (1)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T0 */
#define IFX_EMEM_TILECONFIG_T0_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T0 */
#define IFX_EMEM_TILECONFIG_T0_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T0 */
#define IFX_EMEM_TILECONFIG_T0_OFF (0)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T10 */
#define IFX_EMEM_TILECONFIG_T10_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T10 */
#define IFX_EMEM_TILECONFIG_T10_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T10 */
#define IFX_EMEM_TILECONFIG_T10_OFF (20)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T11 */
#define IFX_EMEM_TILECONFIG_T11_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T11 */
#define IFX_EMEM_TILECONFIG_T11_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T11 */
#define IFX_EMEM_TILECONFIG_T11_OFF (22)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T12 */
#define IFX_EMEM_TILECONFIG_T12_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T12 */
#define IFX_EMEM_TILECONFIG_T12_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T12 */
#define IFX_EMEM_TILECONFIG_T12_OFF (24)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T13 */
#define IFX_EMEM_TILECONFIG_T13_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T13 */
#define IFX_EMEM_TILECONFIG_T13_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T13 */
#define IFX_EMEM_TILECONFIG_T13_OFF (26)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T14 */
#define IFX_EMEM_TILECONFIG_T14_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T14 */
#define IFX_EMEM_TILECONFIG_T14_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T14 */
#define IFX_EMEM_TILECONFIG_T14_OFF (28)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T15 */
#define IFX_EMEM_TILECONFIG_T15_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T15 */
#define IFX_EMEM_TILECONFIG_T15_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T15 */
#define IFX_EMEM_TILECONFIG_T15_OFF (30)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T1 */
#define IFX_EMEM_TILECONFIG_T1_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T1 */
#define IFX_EMEM_TILECONFIG_T1_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T1 */
#define IFX_EMEM_TILECONFIG_T1_OFF (2)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T2 */
#define IFX_EMEM_TILECONFIG_T2_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T2 */
#define IFX_EMEM_TILECONFIG_T2_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T2 */
#define IFX_EMEM_TILECONFIG_T2_OFF (4)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T3 */
#define IFX_EMEM_TILECONFIG_T3_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T3 */
#define IFX_EMEM_TILECONFIG_T3_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T3 */
#define IFX_EMEM_TILECONFIG_T3_OFF (6)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T4 */
#define IFX_EMEM_TILECONFIG_T4_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T4 */
#define IFX_EMEM_TILECONFIG_T4_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T4 */
#define IFX_EMEM_TILECONFIG_T4_OFF (8)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T5 */
#define IFX_EMEM_TILECONFIG_T5_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T5 */
#define IFX_EMEM_TILECONFIG_T5_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T5 */
#define IFX_EMEM_TILECONFIG_T5_OFF (10)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T6 */
#define IFX_EMEM_TILECONFIG_T6_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T6 */
#define IFX_EMEM_TILECONFIG_T6_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T6 */
#define IFX_EMEM_TILECONFIG_T6_OFF (12)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T7 */
#define IFX_EMEM_TILECONFIG_T7_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T7 */
#define IFX_EMEM_TILECONFIG_T7_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T7 */
#define IFX_EMEM_TILECONFIG_T7_OFF (14)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T8 */
#define IFX_EMEM_TILECONFIG_T8_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T8 */
#define IFX_EMEM_TILECONFIG_T8_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T8 */
#define IFX_EMEM_TILECONFIG_T8_OFF (16)

/** \\brief  Length for Ifx_EMEM_TILECONFIG_Bits.T9 */
#define IFX_EMEM_TILECONFIG_T9_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIG_Bits.T9 */
#define IFX_EMEM_TILECONFIG_T9_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIG_Bits.T9 */
#define IFX_EMEM_TILECONFIG_T9_OFF (18)

/** \\brief  Length for Ifx_EMEM_TILECONFIGXM_Bits.XAM0 */
#define IFX_EMEM_TILECONFIGXM_XAM0_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILECONFIGXM_Bits.XAM0 */
#define IFX_EMEM_TILECONFIGXM_XAM0_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILECONFIGXM_Bits.XAM0 */
#define IFX_EMEM_TILECONFIGXM_XAM0_OFF (0)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE0 */
#define IFX_EMEM_TILESTATE_TILE0_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE0 */
#define IFX_EMEM_TILESTATE_TILE0_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE0 */
#define IFX_EMEM_TILESTATE_TILE0_OFF (0)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE10 */
#define IFX_EMEM_TILESTATE_TILE10_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE10 */
#define IFX_EMEM_TILESTATE_TILE10_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE10 */
#define IFX_EMEM_TILESTATE_TILE10_OFF (20)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE11 */
#define IFX_EMEM_TILESTATE_TILE11_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE11 */
#define IFX_EMEM_TILESTATE_TILE11_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE11 */
#define IFX_EMEM_TILESTATE_TILE11_OFF (22)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE12 */
#define IFX_EMEM_TILESTATE_TILE12_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE12 */
#define IFX_EMEM_TILESTATE_TILE12_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE12 */
#define IFX_EMEM_TILESTATE_TILE12_OFF (24)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE13 */
#define IFX_EMEM_TILESTATE_TILE13_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE13 */
#define IFX_EMEM_TILESTATE_TILE13_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE13 */
#define IFX_EMEM_TILESTATE_TILE13_OFF (26)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE14 */
#define IFX_EMEM_TILESTATE_TILE14_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE14 */
#define IFX_EMEM_TILESTATE_TILE14_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE14 */
#define IFX_EMEM_TILESTATE_TILE14_OFF (28)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE15 */
#define IFX_EMEM_TILESTATE_TILE15_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE15 */
#define IFX_EMEM_TILESTATE_TILE15_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE15 */
#define IFX_EMEM_TILESTATE_TILE15_OFF (30)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE1 */
#define IFX_EMEM_TILESTATE_TILE1_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE1 */
#define IFX_EMEM_TILESTATE_TILE1_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE1 */
#define IFX_EMEM_TILESTATE_TILE1_OFF (2)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE2 */
#define IFX_EMEM_TILESTATE_TILE2_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE2 */
#define IFX_EMEM_TILESTATE_TILE2_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE2 */
#define IFX_EMEM_TILESTATE_TILE2_OFF (4)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE3 */
#define IFX_EMEM_TILESTATE_TILE3_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE3 */
#define IFX_EMEM_TILESTATE_TILE3_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE3 */
#define IFX_EMEM_TILESTATE_TILE3_OFF (6)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE4 */
#define IFX_EMEM_TILESTATE_TILE4_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE4 */
#define IFX_EMEM_TILESTATE_TILE4_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE4 */
#define IFX_EMEM_TILESTATE_TILE4_OFF (8)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE5 */
#define IFX_EMEM_TILESTATE_TILE5_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE5 */
#define IFX_EMEM_TILESTATE_TILE5_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE5 */
#define IFX_EMEM_TILESTATE_TILE5_OFF (10)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE6 */
#define IFX_EMEM_TILESTATE_TILE6_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE6 */
#define IFX_EMEM_TILESTATE_TILE6_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE6 */
#define IFX_EMEM_TILESTATE_TILE6_OFF (12)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE7 */
#define IFX_EMEM_TILESTATE_TILE7_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE7 */
#define IFX_EMEM_TILESTATE_TILE7_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE7 */
#define IFX_EMEM_TILESTATE_TILE7_OFF (14)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE8 */
#define IFX_EMEM_TILESTATE_TILE8_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE8 */
#define IFX_EMEM_TILESTATE_TILE8_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE8 */
#define IFX_EMEM_TILESTATE_TILE8_OFF (16)

/** \\brief  Length for Ifx_EMEM_TILESTATE_Bits.TILE9 */
#define IFX_EMEM_TILESTATE_TILE9_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATE_Bits.TILE9 */
#define IFX_EMEM_TILESTATE_TILE9_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATE_Bits.TILE9 */
#define IFX_EMEM_TILESTATE_TILE9_OFF (18)

/** \\brief  Length for Ifx_EMEM_TILESTATEXM_Bits.XAM0 */
#define IFX_EMEM_TILESTATEXM_XAM0_LEN (2)

/** \\brief  Mask for Ifx_EMEM_TILESTATEXM_Bits.XAM0 */
#define IFX_EMEM_TILESTATEXM_XAM0_MSK (0x3)

/** \\brief  Offset for Ifx_EMEM_TILESTATEXM_Bits.XAM0 */
#define IFX_EMEM_TILESTATEXM_XAM0_OFF (0)
/** \}  */
/******************************************************************************/
/******************************************************************************/
#endif /* IFXEMEM_BF_H */
